extends Button


@export var dragon_editor: PackedScene


func _on_button_up() -> void:
	var editor: Window = dragon_editor.instantiate()
	
	var window_position: Vector2i = DisplayServer.window_get_position()
	var window_size: Vector2i = DisplayServer.window_get_size()
	
	editor.position = window_position - editor.size / 2
	
	editor.show()
	add_child(editor)
